Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network161.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
161.0.0.0
Broadcast address
161.255.255.255
First usable
161.0.0.1
Last usable
161.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex A1000000 · Integer 2701131776 to 2717908991
Reverse DNS zone
161.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100001..00000000.00000000.00000000161.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10100001..00000000.00000000.00000000161.0.0.0
Broadcast10100001..11111111.11111111.11111111161.255.255.255
Split into smaller subnets/15

161.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1161.0.0.0/15161.0.0.1 to 161.1.255.254161.1.255.255131,070
2161.2.0.0/15161.2.0.1 to 161.3.255.254161.3.255.255131,070
3161.4.0.0/15161.4.0.1 to 161.5.255.254161.5.255.255131,070
4161.6.0.0/15161.6.0.1 to 161.7.255.254161.7.255.255131,070
5161.8.0.0/15161.8.0.1 to 161.9.255.254161.9.255.255131,070
6161.10.0.0/15161.10.0.1 to 161.11.255.254161.11.255.255131,070
7161.12.0.0/15161.12.0.1 to 161.13.255.254161.13.255.255131,070
8161.14.0.0/15161.14.0.1 to 161.15.255.254161.15.255.255131,070
9161.16.0.0/15161.16.0.1 to 161.17.255.254161.17.255.255131,070
10161.18.0.0/15161.18.0.1 to 161.19.255.254161.19.255.255131,070
11161.20.0.0/15161.20.0.1 to 161.21.255.254161.21.255.255131,070
12161.22.0.0/15161.22.0.1 to 161.23.255.254161.23.255.255131,070
13161.24.0.0/15161.24.0.1 to 161.25.255.254161.25.255.255131,070
14161.26.0.0/15161.26.0.1 to 161.27.255.254161.27.255.255131,070
15161.28.0.0/15161.28.0.1 to 161.29.255.254161.29.255.255131,070
16161.30.0.0/15161.30.0.1 to 161.31.255.254161.31.255.255131,070
17161.32.0.0/15161.32.0.1 to 161.33.255.254161.33.255.255131,070
18161.34.0.0/15161.34.0.1 to 161.35.255.254161.35.255.255131,070
19161.36.0.0/15161.36.0.1 to 161.37.255.254161.37.255.255131,070
20161.38.0.0/15161.38.0.1 to 161.39.255.254161.39.255.255131,070
21161.40.0.0/15161.40.0.1 to 161.41.255.254161.41.255.255131,070
22161.42.0.0/15161.42.0.1 to 161.43.255.254161.43.255.255131,070
23161.44.0.0/15161.44.0.1 to 161.45.255.254161.45.255.255131,070
24161.46.0.0/15161.46.0.1 to 161.47.255.254161.47.255.255131,070
25161.48.0.0/15161.48.0.1 to 161.49.255.254161.49.255.255131,070
26161.50.0.0/15161.50.0.1 to 161.51.255.254161.51.255.255131,070
27161.52.0.0/15161.52.0.1 to 161.53.255.254161.53.255.255131,070
28161.54.0.0/15161.54.0.1 to 161.55.255.254161.55.255.255131,070
29161.56.0.0/15161.56.0.1 to 161.57.255.254161.57.255.255131,070
30161.58.0.0/15161.58.0.1 to 161.59.255.254161.59.255.255131,070
31161.60.0.0/15161.60.0.1 to 161.61.255.254161.61.255.255131,070
32161.62.0.0/15161.62.0.1 to 161.63.255.254161.63.255.255131,070
33161.64.0.0/15161.64.0.1 to 161.65.255.254161.65.255.255131,070
34161.66.0.0/15161.66.0.1 to 161.67.255.254161.67.255.255131,070
35161.68.0.0/15161.68.0.1 to 161.69.255.254161.69.255.255131,070
36161.70.0.0/15161.70.0.1 to 161.71.255.254161.71.255.255131,070
37161.72.0.0/15161.72.0.1 to 161.73.255.254161.73.255.255131,070
38161.74.0.0/15161.74.0.1 to 161.75.255.254161.75.255.255131,070
39161.76.0.0/15161.76.0.1 to 161.77.255.254161.77.255.255131,070
40161.78.0.0/15161.78.0.1 to 161.79.255.254161.79.255.255131,070
41161.80.0.0/15161.80.0.1 to 161.81.255.254161.81.255.255131,070
42161.82.0.0/15161.82.0.1 to 161.83.255.254161.83.255.255131,070
43161.84.0.0/15161.84.0.1 to 161.85.255.254161.85.255.255131,070
44161.86.0.0/15161.86.0.1 to 161.87.255.254161.87.255.255131,070
45161.88.0.0/15161.88.0.1 to 161.89.255.254161.89.255.255131,070
46161.90.0.0/15161.90.0.1 to 161.91.255.254161.91.255.255131,070
47161.92.0.0/15161.92.0.1 to 161.93.255.254161.93.255.255131,070
48161.94.0.0/15161.94.0.1 to 161.95.255.254161.95.255.255131,070
49161.96.0.0/15161.96.0.1 to 161.97.255.254161.97.255.255131,070
50161.98.0.0/15161.98.0.1 to 161.99.255.254161.99.255.255131,070
51161.100.0.0/15161.100.0.1 to 161.101.255.254161.101.255.255131,070
52161.102.0.0/15161.102.0.1 to 161.103.255.254161.103.255.255131,070
53161.104.0.0/15161.104.0.1 to 161.105.255.254161.105.255.255131,070
54161.106.0.0/15161.106.0.1 to 161.107.255.254161.107.255.255131,070
55161.108.0.0/15161.108.0.1 to 161.109.255.254161.109.255.255131,070
56161.110.0.0/15161.110.0.1 to 161.111.255.254161.111.255.255131,070
57161.112.0.0/15161.112.0.1 to 161.113.255.254161.113.255.255131,070
58161.114.0.0/15161.114.0.1 to 161.115.255.254161.115.255.255131,070
59161.116.0.0/15161.116.0.1 to 161.117.255.254161.117.255.255131,070
60161.118.0.0/15161.118.0.1 to 161.119.255.254161.119.255.255131,070
61161.120.0.0/15161.120.0.1 to 161.121.255.254161.121.255.255131,070
62161.122.0.0/15161.122.0.1 to 161.123.255.254161.123.255.255131,070
63161.124.0.0/15161.124.0.1 to 161.125.255.254161.125.255.255131,070
64161.126.0.0/15161.126.0.1 to 161.127.255.254161.127.255.255131,070
65161.128.0.0/15161.128.0.1 to 161.129.255.254161.129.255.255131,070
66161.130.0.0/15161.130.0.1 to 161.131.255.254161.131.255.255131,070
67161.132.0.0/15161.132.0.1 to 161.133.255.254161.133.255.255131,070
68161.134.0.0/15161.134.0.1 to 161.135.255.254161.135.255.255131,070
69161.136.0.0/15161.136.0.1 to 161.137.255.254161.137.255.255131,070
70161.138.0.0/15161.138.0.1 to 161.139.255.254161.139.255.255131,070
71161.140.0.0/15161.140.0.1 to 161.141.255.254161.141.255.255131,070
72161.142.0.0/15161.142.0.1 to 161.143.255.254161.143.255.255131,070
73161.144.0.0/15161.144.0.1 to 161.145.255.254161.145.255.255131,070
74161.146.0.0/15161.146.0.1 to 161.147.255.254161.147.255.255131,070
75161.148.0.0/15161.148.0.1 to 161.149.255.254161.149.255.255131,070
76161.150.0.0/15161.150.0.1 to 161.151.255.254161.151.255.255131,070
77161.152.0.0/15161.152.0.1 to 161.153.255.254161.153.255.255131,070
78161.154.0.0/15161.154.0.1 to 161.155.255.254161.155.255.255131,070
79161.156.0.0/15161.156.0.1 to 161.157.255.254161.157.255.255131,070
80161.158.0.0/15161.158.0.1 to 161.159.255.254161.159.255.255131,070
81161.160.0.0/15161.160.0.1 to 161.161.255.254161.161.255.255131,070
82161.162.0.0/15161.162.0.1 to 161.163.255.254161.163.255.255131,070
83161.164.0.0/15161.164.0.1 to 161.165.255.254161.165.255.255131,070
84161.166.0.0/15161.166.0.1 to 161.167.255.254161.167.255.255131,070
85161.168.0.0/15161.168.0.1 to 161.169.255.254161.169.255.255131,070
86161.170.0.0/15161.170.0.1 to 161.171.255.254161.171.255.255131,070
87161.172.0.0/15161.172.0.1 to 161.173.255.254161.173.255.255131,070
88161.174.0.0/15161.174.0.1 to 161.175.255.254161.175.255.255131,070
89161.176.0.0/15161.176.0.1 to 161.177.255.254161.177.255.255131,070
90161.178.0.0/15161.178.0.1 to 161.179.255.254161.179.255.255131,070
91161.180.0.0/15161.180.0.1 to 161.181.255.254161.181.255.255131,070
92161.182.0.0/15161.182.0.1 to 161.183.255.254161.183.255.255131,070
93161.184.0.0/15161.184.0.1 to 161.185.255.254161.185.255.255131,070
94161.186.0.0/15161.186.0.1 to 161.187.255.254161.187.255.255131,070
95161.188.0.0/15161.188.0.1 to 161.189.255.254161.189.255.255131,070
96161.190.0.0/15161.190.0.1 to 161.191.255.254161.191.255.255131,070
97161.192.0.0/15161.192.0.1 to 161.193.255.254161.193.255.255131,070
98161.194.0.0/15161.194.0.1 to 161.195.255.254161.195.255.255131,070
99161.196.0.0/15161.196.0.1 to 161.197.255.254161.197.255.255131,070
100161.198.0.0/15161.198.0.1 to 161.199.255.254161.199.255.255131,070
101161.200.0.0/15161.200.0.1 to 161.201.255.254161.201.255.255131,070
102161.202.0.0/15161.202.0.1 to 161.203.255.254161.203.255.255131,070
103161.204.0.0/15161.204.0.1 to 161.205.255.254161.205.255.255131,070
104161.206.0.0/15161.206.0.1 to 161.207.255.254161.207.255.255131,070
105161.208.0.0/15161.208.0.1 to 161.209.255.254161.209.255.255131,070
106161.210.0.0/15161.210.0.1 to 161.211.255.254161.211.255.255131,070
107161.212.0.0/15161.212.0.1 to 161.213.255.254161.213.255.255131,070
108161.214.0.0/15161.214.0.1 to 161.215.255.254161.215.255.255131,070
109161.216.0.0/15161.216.0.1 to 161.217.255.254161.217.255.255131,070
110161.218.0.0/15161.218.0.1 to 161.219.255.254161.219.255.255131,070
111161.220.0.0/15161.220.0.1 to 161.221.255.254161.221.255.255131,070
112161.222.0.0/15161.222.0.1 to 161.223.255.254161.223.255.255131,070
113161.224.0.0/15161.224.0.1 to 161.225.255.254161.225.255.255131,070
114161.226.0.0/15161.226.0.1 to 161.227.255.254161.227.255.255131,070
115161.228.0.0/15161.228.0.1 to 161.229.255.254161.229.255.255131,070
116161.230.0.0/15161.230.0.1 to 161.231.255.254161.231.255.255131,070
117161.232.0.0/15161.232.0.1 to 161.233.255.254161.233.255.255131,070
118161.234.0.0/15161.234.0.1 to 161.235.255.254161.235.255.255131,070
119161.236.0.0/15161.236.0.1 to 161.237.255.254161.237.255.255131,070
120161.238.0.0/15161.238.0.1 to 161.239.255.254161.239.255.255131,070
121161.240.0.0/15161.240.0.1 to 161.241.255.254161.241.255.255131,070
122161.242.0.0/15161.242.0.1 to 161.243.255.254161.243.255.255131,070
123161.244.0.0/15161.244.0.1 to 161.245.255.254161.245.255.255131,070
124161.246.0.0/15161.246.0.1 to 161.247.255.254161.247.255.255131,070
125161.248.0.0/15161.248.0.1 to 161.249.255.254161.249.255.255131,070
126161.250.0.0/15161.250.0.1 to 161.251.255.254161.251.255.255131,070
127161.252.0.0/15161.252.0.1 to 161.253.255.254161.253.255.255131,070
128161.254.0.0/15161.254.0.1 to 161.255.255.254161.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses